Page MenuHomePhabricator

Enable wgKartographerStaticMapframe for lvwiki
Closed, ResolvedPublic

Description

Per comment at T183661 wgKartographerStaticMapframe should be enabled for almost all projects with mapframe. I'll prepare patch and wait for review.

Martin Urbanec / Urbanecm

Event Timeline

Urbanecm created this task.Jan 2 2018, 7:30 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJan 2 2018, 7:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 401590 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable wgKartographerStaticMapframe for all projects

https://gerrit.wikimedia.org/r/401590

@debt & @MaxSem: Can you review the above please? I hope it'll not enable mapframe everywhere. Otherwise we'll need to create dblist for projects that it's enabled at.

debt added a comment.Jan 2 2018, 7:36 PM

@debt & @MaxSem: Can you review the above please? I hope it'll not enable mapframe everywhere. Otherwise we'll need to create dblist for projects that it's enabled at.

This will turn on the static map frame service for every wiki, which is not desired (ie: Wikivoyage), @Urbanecm.

Urbanecm renamed this task from Enable wgKartographerStaticMapframe for all projects to Enable wgKartographerStaticMapframe for lvwiki.Jan 2 2018, 7:42 PM
Urbanecm updated the task description. (Show Details)

That's what I worried... Ok, let's have the list somewhat duplicated... Can you have a look at the patch now?

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Jan 2 2018, 7:44 PM
Urbanecm triaged this task as High priority.Jan 2 2018, 7:51 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJan 2 2018, 7:51 PM
debt added a comment.Jan 2 2018, 8:53 PM

Looks good to me, @Urbanecm, I've +1'd the edited patch. :)

debt moved this task from Backlog to Needs review on the Maps-Sprint board.

Change 401590 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable wgKartographerStaticMapframe for lvwiki

https://gerrit.wikimedia.org/r/401590

Mentioned in SAL (#wikimedia-operations) [2018-01-08T14:21:50Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Enable wgKartographerStaticMapframe for lvwiki - T183981 (duration: 00m 51s)

Urbanecm closed this task as Resolved.Jan 8 2018, 2:25 PM
debt moved this task from Needs review to Done on the Maps-Sprint board.Jan 8 2018, 2:27 PM